// This JavaScript file Copyright (C) 3000 me. All rights reserved!

function changeStyle(of)
{
	if (of.name == 'font')
	{
		document.body.style.fontFamily = of.value;
	}

	if (of.name == 'fontsize')
	{
		if (of.value == 0)
		{
			document.body.style.fontSize = 'inherit';
		}
		else
		{
			document.body.style.fontSize = of.value + 'px';
		}

	}

	if (of.name == 'bgColor')
	{
		var bodyColor;
		var docbodyColor;
		var docbodyBorderColor;

		if (of.value == 'white')
		{
			bodyColor = '#ffffff';
			docbodyColor = '#ffffff';
			docbodyBorderColor = '#ffffff';
		}
		else if (of.value == 'yellow')
		{
			bodyColor = '#ffffbb';
			docbodyColor = '#ffffdd';
			docbodyBorderColor = '#ffffbb';
		}
		else if (of.value == 'lgray')
		{
			bodyColor = '#bbbbbb';
			docbodyColor = '#dddddd';
			docbodyBorderColor = '#d0d0d0';
		}
		else if (of.value == 'dgray')
		{
			bodyColor = '#000000';
			docbodyColor = '#bbbbbb';
			docbodyBorderColor = '#d0d0d0';
		}

		document.body.style.backgroundColor = bodyColor;
		document.getElementById('docbody').style.backgroundColor = docbodyColor;
		document.getElementById('docbody').style.borderColor = docbodyBorderColor;
	}
}
